Skip to main content
`Ctrl`+`K`

# PetscSpaceSetNumComponents

Set the number of components for this space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSetNumComponents(PetscSpace sp, PetscInt Nc)

## Input Parameters

- sp - The `PetscSpace`

- Nc - The number of components

## See Also

`PetscSpace`, `PetscSpaceGetNumComponents()`, `PetscSpaceSetNumVariables()`, `PetscSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/space/interface/space.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages